Class | Chef::CookbookUploader
In: | lib/chef/cookbook_uploader.rb
Parent: | Object

### Methods

new setup_worker_threads upload_cookbook uploader_function_for validate_cookbook work_queue worker_thread

### Attributes

cookbook | [R] |
opts | [R] |
path | [R] |
rest | [R] |

### Public Class methods

new(cookbook, path, opts={})

Creates a new CookbookUploader.

### Arguments:

- cookbook::: A Chef::CookbookVersion describing the cookbook to be uploaded
- path::: A String or Array of Strings representing the base paths to the

              cookbook repositories.

- opts::: (optional) An options Hash

### Options:

- :force indicates that the uploader should set the force option when

              uploading the cookbook. This allows frozen CookbookVersion
              documents on the server to be overwritten (otherwise a 409 is
              returned by the server)

- :rest A Chef::REST object that you have configured the way you like it.

              If you don't provide this, one will be created using the values
              in Chef::Config.

setup_worker_threads()
work_queue()

### Public Instance methods

upload_cookbook()
uploader_function_for(file, checksum, url, checksums_to_upload)
validate_cookbook()
worker_thread(work_queue)

[Validate]